import * as React from 'react';
import { SelectArrayInput, useRecordContext } from 'react-admin';
import request from '@/utils/request'

const WarehouseAreaSelect = (props) => {
    const [arr, setArr] = React.useState([]);
    const [loading, setLoading] = React.useState(true);    

    React.useEffect(() => {
        setLoading(true);
        request.post('/warehouseAreas/list', {}).then(res => {
            if (res?.data?.code === 200) {
                setArr(res.data.data.map(item => {
                    return {
                        id: item.id,
                        name: item.name
                    }
                }));
            }
            setLoading(false);
        }).catch(() => {
            setLoading(false);
        });
    }, []);

    return (
        <SelectArrayInput
            {...props}
            choices={arr}
            disabled={loading}
        />
    );
};

export default WarehouseAreaSelect;
